Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.forwarding
Class ForwardingConfiguration

    java.lang.Object
      com.sshtools.j2ssh.forwarding.ForwardingConfiguration

Direct Known Subclasses:
  ForwardingListener

public class ForwardingConfiguration
extends java.lang.Object

DOCUMENT ME!

Nested Class Summary
`class` | `ForwardingConfiguration.ForwardingConfigurationMonitor`

Field Summary
`protected java.lang.String` | `addressToBind` DOCUMENT ME!
`protected java.lang.String` | `hostToConnect` DOCUMENT ME!
`protected javax.swing.event.EventListenerList` | `listenerList` DOCUMENT ME!
`protected ForwardingConfiguration.ForwardingConfigurationMonitor` | `monitor` DOCUMENT ME!
`protected java.lang.String` | `name` DOCUMENT ME!
`protected int` | `portToBind` DOCUMENT ME!
`protected int` | `portToConnect` DOCUMENT ME!
`protected StartStopState` | `state` DOCUMENT ME!

Constructor Summary
`ForwardingConfiguration(java.lang.String addressToBind, int portToBind)` Creates a new ForwardingConfiguration object.
`ForwardingConfiguration(java.lang.String name, java.lang.String addressToBind, int portToBind, java.lang.String hostToConnect, int portToConnect)` Creates a new ForwardingConfiguration object.

Method Summary
`void` | `addForwardingConfigurationListener(ForwardingConfigurationListener l)` DOCUMENT ME!
`ForwardingBindingChannel` | `createForwardingBindingChannel(java.lang.String type, java.lang.String hostToConnect, int portToConnect, java.lang.String originatingHost, int originatingPort)` DOCUMENT ME!
`ForwardingIOChannel` | `createForwardingIOChannel(java.lang.String type, java.lang.String hostToConnect, int portToConnect, java.lang.String originatingHost, int originatingPort)` DOCUMENT ME!
`ForwardingSocketChannel` | `createForwardingSocketChannel(java.lang.String type, java.lang.String hostToConnect, int portToConnect, java.lang.String originatingHost, int originatingPort)` DOCUMENT ME!
`java.util.List` | `getActiveForwardingSocketChannels()` DOCUMENT ME!
`java.lang.String` | `getAddressToBind()` DOCUMENT ME!
`java.lang.String` | `getHostToConnect()` DOCUMENT ME!
`java.lang.String` | `getName()` DOCUMENT ME!
`int` | `getPortToBind()` DOCUMENT ME!
`int` | `getPortToConnect()` DOCUMENT ME!
`StartStopState` | `getState()` DOCUMENT ME!
`void` | `removeForwardingConfigurationListener(ForwardingConfigurationListener l)` DOCUMENT ME!
`void` | `start()` DOCUMENT ME!
`void` | `stop()` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### state

    protected StartStopState state

  DOCUMENT ME!

### addressToBind

    protected java.lang.String addressToBind

  DOCUMENT ME!

### hostToConnect

    protected java.lang.String hostToConnect

  DOCUMENT ME!

### name

    protected java.lang.String name

  DOCUMENT ME!

### portToBind

    protected int portToBind

  DOCUMENT ME!

### portToConnect

    protected int portToConnect

  DOCUMENT ME!

### monitor

    protected ForwardingConfiguration.ForwardingConfigurationMonitor monitor

  DOCUMENT ME!

### listenerList

    protected javax.swing.event.EventListenerList listenerList

  DOCUMENT ME!

Constructor Detail

### ForwardingConfiguration

    public ForwardingConfiguration(java.lang.String name,
                                   java.lang.String addressToBind,
                                   int portToBind,
                                   java.lang.String hostToConnect,
                                   int portToConnect)

  Creates a new ForwardingConfiguration object.

Parameters:
  `name` - DOCUMENT ME!
  `addressToBind` - DOCUMENT ME!
  `portToBind` - DOCUMENT ME!
  `hostToConnect` - DOCUMENT ME!
  `portToConnect` - DOCUMENT ME!

### ForwardingConfiguration

    public ForwardingConfiguration(java.lang.String addressToBind,
                                   int portToBind)

  Creates a new ForwardingConfiguration object.

Parameters:
  `addressToBind` - DOCUMENT ME!
  `portToBind` - DOCUMENT ME!

Method Detail

### addForwardingConfigurationListener

    public void addForwardingConfigurationListener(ForwardingConfigurationListener l)

  DOCUMENT ME!

  Parameters:
    `l` - DOCUMENT ME!

### removeForwardingConfigurationListener

    public void removeForwardingConfigurationListener(ForwardingConfigurationListener l)

  DOCUMENT ME!

  Parameters:
    `l` - DOCUMENT ME!

### getActiveForwardingSocketChannels

    public java.util.List getActiveForwardingSocketChannels()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getAddressToBind

    public java.lang.String getAddressToBind()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getHostToConnect

    public java.lang.String getHostToConnect()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getName

    public java.lang.String getName()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getPortToBind

    public int getPortToBind()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getPortToConnect

    public int getPortToConnect()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getState

    public StartStopState getState()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### start

    public void start()
               throws java.io.IOException

  DOCUMENT ME!

  Throws:
    `java.io.IOException` - DOCUMENT ME!

### stop

    public void stop()

  DOCUMENT ME!

### createForwardingSocketChannel

    public ForwardingSocketChannel createForwardingSocketChannel(java.lang.String type,
                                                                 java.lang.String hostToConnect,
                                                                 int portToConnect,
                                                                 java.lang.String originatingHost,
                                                                 int originatingPort)
                                                          throws ForwardingConfigurationException

  DOCUMENT ME!

  Parameters:
    `type` - DOCUMENT ME!
    `hostToConnect` - DOCUMENT ME!
    `portToConnect` - DOCUMENT ME!
    `originatingHost` - DOCUMENT ME!
    `originatingPort` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `ForwardingConfigurationException` - DOCUMENT ME!

### createForwardingIOChannel

    public ForwardingIOChannel createForwardingIOChannel(java.lang.String type,
                                                         java.lang.String hostToConnect,
                                                         int portToConnect,
                                                         java.lang.String originatingHost,
                                                         int originatingPort)
                                                  throws ForwardingConfigurationException

  DOCUMENT ME!

  Parameters:
    `type` - DOCUMENT ME!
    `hostToConnect` - DOCUMENT ME!
    `portToConnect` - DOCUMENT ME!
    `originatingHost` - DOCUMENT ME!
    `originatingPort` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `ForwardingConfigurationException` - DOCUMENT ME!

### createForwardingBindingChannel

    public ForwardingBindingChannel createForwardingBindingChannel(java.lang.String type,
                                                                   java.lang.String hostToConnect,
                                                                   int portToConnect,
                                                                   java.lang.String originatingHost,
                                                                   int originatingPort)
                                                            throws ForwardingConfigurationException

  DOCUMENT ME!

  Parameters:
    `type` - DOCUMENT ME!
    `hostToConnect` - DOCUMENT ME!
    `portToConnect` - DOCUMENT ME!
    `originatingHost` - DOCUMENT ME!
    `originatingPort` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `ForwardingConfigurationException` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD